List Product EVs
Lists EVs for sealed product.
Request
Section titled “Request”A request can be submitted to this endpoint using the details below:
Method
Section titled “Method”https://api.fyendalscollection.com/ev/listQuery Parameters
Section titled “Query Parameters”-
sort(Optional) - The order in which to sort the product EVs. Can be eitherHighestEstimatedValue,LowestEstimatedValue,HighestMarketPrice,LowestMarketPrice,MarketPriceDeltaPositive,MarketPriceDeltaNegative,NewestReleaseDateorOldestReleaseDate. The default isOldestReleaseDate. -
productType(Optional) - The type of product to filter by. Can be eitherPack,BoxorCase. The default is to return everything.
Example
Section titled “Example”GET /ev/list?sort=MarketPriceDeltaPositive&productType=Box HTTP/1.1Host: api.fyendalscollection.comAuthorization: Bearer eyJ...Response
Section titled “Response”A successful response from this endpoint gives a 200 OK and uses the following
response model for each result:
Response Model
Section titled “Response Model”The warning field indicates any potential issues with the product’s estimated
value.
interface ProductEvResponseModel { readonly setType: string; readonly productType: string; readonly productId: string; readonly productImage: string; readonly productName: string; readonly fcId: string; readonly currentEstimatedValue: Money; readonly marketPrice: Money; readonly marketPriceDelta: Money; readonly warning: string | null;}Example
Section titled “Example”HTTP/1.1 200 OKContent-Type: application/json
{ "results": [ { "setType": "Hnt", "productType": "Box", "productId": "769e8ff4-b275-4853-9f58-bddccc885e40", "productImage": "https://tcgplayer-cdn.tcgplayer.com/product/591274_400w.jpg", "productName": "The Hunted Booster Box", "fcId": "HNT-BOX", "currentEstimatedValue": { "currency": "USD", "value": 124.37 }, "marketPrice": { "currency": "USD", "value": 123.73 }, "marketPriceDelta": { "currency": "USD", "value": 0.64 }, "warning": null } ], "nextCursor": 1}